Skip to main content
GET
/
v0
/
business
/
{business_id}
/
vendors
List vendors for a business
curl --request GET \
  --url https://api.sandbox.getasset.com/v0/business/{business_id}/vendors \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "name": "<string>",
      "id": "<string>",
      "external_id": "<string>",
      "contact_name": "<string>",
      "email": "<string>",
      "phone_number": "<string>"
    }
  ],
  "pagination": {
    "next_page_token": "<string>",
    "previous_page_token": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

business_id
string<biz_string>
required

Query Parameters

page_token
string | null

The page token to for the next or previous page

page_size
integer
default:100
Required range: 1 <= x <= 100

Response

Successful Response

data
Vendor · object[]
required

List of vendors

pagination
PaginationResponse · object
required

Pagination information